Bug 146282 - [PATCH] net-mgmt/zabbix-frontend: missed depends
Summary: [PATCH] net-mgmt/zabbix-frontend: missed depends
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-04 06:40 UTC by alex.deiter
Modified: 2010-06-03 18:20 UTC (History)
0 users

See Also:


Attachments
file.diff (398 bytes, patch)
2010-05-04 06:40 UTC, alex.deiter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description alex.deiter 2010-05-04 06:40:01 UTC
Hi,

net-mgmt/zabbix-frontend has missed depends:

converters/php5-mbstring - localization
www/php5-session - sessions and maps
textproc/php5-dom - import/export templates
textproc/php5-xml - import/export templates
textproc/php5-xmlreader - import templates
textproc/php5-xmlwriter - export templates

session error:
[Tue May 04 09:27:49 2010] [error] [client 127.0.0.1] PHP Fatal error:  Call to undefined function session_start() in /usr/local/www/zabbix/include/config.inc.php on line 951, referer: http://localhost/zabbix/sysmap.php?sysmapid=2&sid=2a7555fd3d7134a7

export error:
[Tue May 04 09:06:41 2010] [error] [client 127.0.0.1] PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'include/classes/class.domdocument.php' (include_path='.:/usr/local/share/pear') in /usr/local/www/zabbix/include/config.inc.php on line 62, referer: http://localhost/zabbix/export.php?sid=2a7555fd3d7134a7

import error:
[Tue May 04 09:25:14 2010] [error] [client 127.0.0.1] PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'include/classes/class.domdocument.php' (include_path='.:/usr/local/share/pear') in /usr/local/www/zabbix/include/config.inc.php on line 62, referer: http://localhost/zabbix/import.php?sid=2a7555fd3d7134a7

Fix: please review attached patch

Patch attached with submission follows:
How-To-Repeat: cd net-mgmt/zabbix-frontend && make install
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-05-04 16:53:39 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Martin Wilke freebsd_committer 2010-05-18 02:59:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2010-06-03 18:12:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2010-06-03 18:12:27 UTC
miwi        2010-06-03 17:12:19 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zabbix-frontend Makefile 
  Log:
  - Add missing depends
  
  PR:             146282
  Submitted by:   Alex Deiter <alex.deiter@gmail.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.3       +2 -1      ports/net-mgmt/zabbix-frontend/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"